Get an MMA weight class ranking (v1)
Returns the champion and top 15 of a weight class in every organization, or in one with tournament_id, such as UFC (19906). Nothing found returns data: null.
1 credit / requestBilled only on success
Authorization
ApiKeyAuth x-api-key<token>
In: header
Query Parameters
weight_class*string
Weight class, such as fly, bantam, feather, light, welter, middle, lightheavy, heavy or straw.
Match
^[a-z]{3,20}$gender?string
m for men, f for women.
Default
"m"Value in
- "m"
- "f"
tournament_id?integer
Organization id, such as 19906 for UFC; omit for all.
Range
1 <= value <= 10000000000curl -X GET "https://example.com/v1/sofascore/mma/rankings?weight_class=light" \ -H "x-api-key: YOUR_API_KEY"{ "data": { "property1": null, "property2": null }, "details": { "reason": "string", "message": "string" }}